# Generated by go2rpm
%bcond_without check

%define gobuild(o:) %{expand:
  # https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
  %global _dwz_low_mem_die_limit 0
  %ifnarch ppc64
  go build -buildmode pie -compiler gc -tags="rpm_crashtraceback ${BUILDTAGS:-}" -ldflags "${LDFLAGS:-}%{?currentgoldflags} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n') -extldflags '%__global_ldflags %{?__golang_extldflags}' -compressdwarf=false" -a -v -x %{?**};
  %else
  go build                -compiler gc -tags="rpm_crashtraceback ${BUILDTAGS:-}" -ldflags "${LDFLAGS:-}%{?currentgoldflags} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n') -extldflags '%__global_ldflags %{?__golang_extldflags}' -compressdwarf=false" -a -v -x %{?**};
  %endif
}

# https://github.com/rclone/rclone
%global goipath         github.com/rclone/rclone
Version:                1.55.1

%global common_description %{expand:
Rclone is a command line program to sync files and directories to and
from various cloud services.}

%global golicenses      COPYING
%global godocs          docs CONTRIBUTING.md MAINTAINERS.md MANUAL.md\\\
                        README.md RELEASE.md

Name:           rclone
Release:        1%{?dist}
Summary:        Rsync for cloud storage

License:        MIT
URL:            http://rclone.org/
Source0:        https://github.com/rclone/rclone/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        vendor-%{version}.tar.gz

# e.g. el6 has ppc64 arch without gcc-go, so EA tag is required
ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:%{ix86} x86_64 aarch64 %{arm}}
# If go_compiler is not set to 1, there is no virtual provide. Use golang instead.
BuildRequires:  %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}

%description
%{common_description}

%prep
%autosetup -p1 -n %{name}-%{version}
%setup -q -T -D -a 1 -n %{name}-%{version}

%build
export GO111MODULE=on
export GOFLAGS=-mod=vendor

LDFLAGS="-X github.com/ncw/rclone/fs.Version=v%{version} "
%gobuild -o _bin/rclone %{goipath}

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp _bin/*              %{buildroot}%{_bindir}/
install -Dpm 0644 ./rclone.1 %{buildroot}%{_mandir}/man1/rclone.1

%files
%license COPYING
%doc MAINTAINERS.md MANUAL.html RELEASE.md CONTRIBUTING.md MANUAL.md README.md
%doc docs/
%{_bindir}/rclone
%{_mandir}/man1/rclone.1*

%changelog
* Mon May 17 15:51:45 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.55.1-1
- Update to 1.55.1

* Wed Apr  7 23:50:58 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.55.0-1
- Update to 1.55.0
- Close: rhbz#1936764

* Mon Mar  8 09:04:20 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.54.0-1
- Update to 1.54.0
- Close: rhbz#1918543

* Sun Dec 06 02:33:51 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.53.3-1
- Update to 1.53.3
- Close: rhbz#1899641
- Fix: rhbz#1900705
- Fix: rhbz#1900719

* Sun Nov 08 14:15:33 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.53.2-1
- Update to 1.53.2 (#1840915)

* Thu Feb 27 01:17:56 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.51.0-1
- Update to 1.51.0

* Mon Dec 23 22:22:16 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.50.2-1
- Release 1.50.2 (#1756764)

* Sat Sep 28 13:00:14 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.49.3-1
- Release 1.49.3 (#1775302)

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.48.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 16 16:26:43 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.48.0-1
- Release 1.48.0 (#1720839)

* Sat Apr 13 18:34:07 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.47.0-1
- Release 1.47.0 (#1674166)

* Sat Apr 06 21:17:09 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.46.0-1
- Release 1.46.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.45-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Dec 18 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.45-1
- Update to version 1.45

* Mon Oct 22 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.44-1
- Update to version 1.44

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.42-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.42-1
- Update to version 1.42

* Tue Mar 20 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.41-1
- Update to version 1.41
- Use new Go packaging

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Dec 24 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.39-1
- Update to version 1.39

* Sun Oct 01 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.38-1
- Update to version 1.38

* Fri Jul 28 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.37-2
- Unbundled revision

* Sun Jul 23 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.37-1
- Update to version 1.37

* Thu Jul 20 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.36-2
- Update to Fedora Packaging Guidelines specification

* Sat Mar 25 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.36-1
- Update to version 1.36

* Fri Jan 06 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.35-1
- Update to version 1.35

* Sun Dec 11 2016 Robert-André Mauchin <zebob.m@gmail.com> - 1.34-1
- Initial RPM release

